Subject: RE: RE: IMPORTANT: Strategy for VPN work in IETF

From: "Thomas D. Nadeau" <[email-masked]>
Date: Thu, 8 May 2003 09:54:30 -0400

You raise a good point. Is there going to be any discussion of
actual provisioning of VPNs?
 
    --Tom

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Paul
Knight
Sent: Wednesday, May 07, 2003 12:56 PM
To: Alex Zinin; [email-masked]
Cc: [email-masked]; Wijnen, Bert (Bert); Thomas Narten; Peterson, Jon;
Allison Mankin
Subject: [PWE3] RE: IMPORTANT: Strategy for VPN work in IETF

Hi Alex, 

The proposed split seems to put very little emphasis on the "PP" of PPVPN. 

The proposed focus on technologies for L2 and L3 is likely to seriously
disrupt the focus on the "Provider Provisioned" concept, where much of the
value comes from aiming for interoperation across all major VPN
technologies.  Of course, we could have PPL2VPN and PPL3VPN, but as has been
pointed out, we then need to coordinate the "PP" parts across the two WGs.  

VPN customers want a bundle of VPN services, and don't really care whether
it is L2 or L3 (or L1) or some mixture.  VPN service providers want an
interoperable toolkit which they can use to design services that they can
differentiate in various ways to attract VPN customers. PPVPN is providing a
forum to define the operation of the VPN tools.  Regardless of L2 or L3
technologies, there is a need for simple and interoperable mechanisms for
VPN membership and discovery, security considerations, SLA verification, and
a host of management areas.  These mechanisms are being defined, clarified,
and debated in PPVPN mostly without regard to the specific L2 or L3
approaches.  They should not be either dropped, or split across two WGs.

Yes there is a lot of work in the group, but if it gets fragmented and
things slip through the cracks, then we will be forcing the VPN service
providers, vendors, and customers to do much more work and spend much more
time in the long run.

In terms of meeting logistics, we will find that many of the same people
will be attending and developing drafts for the proposed L2 and L3 WGs, so
we will have to make sure that they don't overlap... Just the same as if we
plan extended meeting times for the current PPVPN when it is needed.

Finally, I'm closely involved with two areas of work in L3 VPNs in PPVPN,
and we are getting to the point where much of the basic work is stable, so
the L3VPN may not justify a dedicated WG for much longer, although it does
need a WG in which to operate.

I would suggest planning for a longer meeting in Vienna (if the agenda
justifies it) and bringing this proposal up for discussion there.

Regards, 
Paul 

> -----Original Message----- 
> From: Alex Zinin [mailto:[email-masked]] 
> Sent: Sunday, May 04, 2003 3:12 AM 
> To: [email-masked] 
> Cc: [email-masked]; Wijnen, Bert (Bert); Thomas Narten; 
> Peterson, Jon; Allison Mankin 
> Subject: IMPORTANT: Strategy for VPN work in IETF 
> 
> 
> Folks, 
> 
> Since San Francisco IETF meeting the IESG has been 
> considering the situation in the SUB-IP area and in the PPVPN 
> Working Group in particular. 
> 
> Such close attention to this WG was triggered by numerous 
> concerns that the IESG members received from the WG 
> participants about limited and slow progress within the WG 
> despite the efforts of the WG chairs and its members. The 
> IESG also used this opportunity to consider the IETF area 
> that the PPVPN work would fit best. 
> 
> After much deliberation, the involved ADs (Bert, Thomas, and I) are 
> considering the following organizational changes in order to 
> improve WG 
> focus and productivity and ensure faster progress of the 
> VPN-related work: 
> 
>  1. Split of Layer-2 and Layer-3 VPN work in separate Working Groups. 
> 
>     The L2 and L3 VPN work spaces are each big enough to 
> warrant a separate 
>     WG. While concentration of all VPN-related work in a 
> single forum was 
>     the right thing to do to ensure coordination of efforts 
> when the PPVPN 
>     WG was created and L2 VPN work came in, such 
> concentration is causing 
>     scaling problems within the WG at this moment. 
> 
>     Migration of work into two separate WGs for L2 and L3 VPN 
> technologies 
>     with more specific WG charters will help to focus 
> discussions, prevent 
>     staff and meeting time overloading, and will aid faster 
> progress of 
>     corresponding technologies. 
> 
>  2. Migration of the VPN-related work to the Internet area. 
> 
>     As previously discussed, VPN-related work could be argued 
> to belong 
>     to more than one area. Tunneling mechanisms are the property that 
>     gravitates this work to the Internet area, which is where 
> we believe 
>     the VPN work should go. 
> 
>     As part of this move, we are also considering moving PWE3 
> into INT, 
>     so that L2TPEXT, PWE3, and thew new VPN WGs are operating 
> in the same 
>     area. 
> 
> Based on the above considerations, we are considering the 
> following steps: 
> 
>  1. Two new WGs--L2VPN and L3VPN--will be created in the 
> Internet area. 
>     The mailing lists will be established and the discussion 
> of the proposed 
>     charters of the new WGs will be initiated shortly. 
> 
>  2. Once the charters of the new WGs are agreed upon and 
> approved by the IESG, 
>     creation of the L2VPN and L3VPN WGs and shutdown of the 
> PPVPN WG will be 
>     performed simultaneously. PPVPN WG documents will be 
> migrated to the 
>     corresponding new WGs. 
> 
> It is our intention to complete this process by the Vienna 
> IETF meeting. 
> Also, these changes are being made for management reasons and 
> are not intended 
> to be a "reset" on WG activities or to halt or interrupt 
> progress on current 
> ongoing WG activities. 
> 
> We'd like to hear from the WG members if they see any fatal 
> flaws with the proposed approach. Please send us your 
> feedback by May 11th. 
> 
> Regards, 
> 
> -- 
> Alex Zinin 
> IETF SUB-IP Area Co-Director 
> 
> 
>

---

From: Juha Heinanen <[email-masked]>
Date: Thu, 8 May 2003 17:23:56 +0300

> actual provisioning of VPNs?

provisioning is indeed an important issue.  i have been told that
commercial provisioning systems for bgp/mpls vpns are very expensive.
may be that is because provisioning of them is difficult to do.

a good solution is such for which writing automatic provisioning tools
is very easy.  this is true for radius based solutions, where the
provisioning system needs little interaction with the actual pes.

-- juha

---

From: Alex Zinin <[email-masked]>
Date: Fri, 9 May 2003 10:35:19 -0700

Hi, Paul,

> pointed out, we then need to coordinate the "PP" parts across the two WGs.  

I think before we go and talk about interoperation across all major
VPN technologies, we should first make visible progress on those
technologies, which focused technology specific WGs are aimed to help.

Regarding coordination--totally agree, we will indeed need to
coordinate, we actually have an idea for this--create a PPVPN
directorate that will ensure such close coordination.

> approaches.  They should not be either dropped, or split across two WGs.

I don't think anyone suggests to drop those. First, we are not
splitting the community, only the WGs as organizational entities to
help scaling the management part of the process. People should still
talk to each other and discuss those. If folks believe something
common for both WGs needs to be worked on, we'll put it in one of the
WGs and will inform the other. Occasionally we can even have joint
meetings, which happens in the IETF.

It seems to me that at this moment, technology-specific work items
should be high priority. Most of those pieces are not through the
system yet.

> plan extended meeting times for the current PPVPN when it is needed.

Same people attending different WGs is perfectly fine, this is a
normal situation in the IETF (examples: RTG WGs, CCAMP and MPLS).
Scheduling-wise, +1 WG is not going to make a big difference.

> need a WG in which to operate.

Lack of "heated" discussions does not mean everything is done. There
are items that just need consistent attention and concentration of the
participants to be finished, such as security or MIBs. There is also
more stuff coming in the L3 space.

> justifies it) and bringing this proposal up for discussion there.

Noted.

Alex